import 'reflect-metadata';
import * as Router from 'koa-router';
import { IHandlerOptions } from './declarations';
import { ParamsOptions } from './params';
export declare function Config(options: Router.IRouterOptions): (cls: any) => void;
export declare function Handler(options?: IHandlerOptions): PropertyDecorator;
export declare function Get(path: string, options?: IHandlerOptions): PropertyDecorator;
export declare function Post(path: string, options?: IHandlerOptions): PropertyDecorator;
export declare function Put(path: string, options?: IHandlerOptions): PropertyDecorator;
export declare function Delete(path: string, options?: IHandlerOptions): PropertyDecorator;
export declare function Middleware(middlewares: Router.IMiddleware | Router.IMiddleware[]): ClassDecorator & PropertyDecorator;
export declare const Overrides: (...rules: string[]) => ClassDecorator & PropertyDecorator;
export declare const Params: (options: ParamsOptions) => ClassDecorator & PropertyDecorator;
